libfreehand::FHParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libfreehand::FHParser Class Reference

`#include <FHParser.h>`

## Public Member Functions
| FHParser ()
virtual | ~FHParser ()
bool | parse (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)

## Private Member Functions
| FHParser (const FHParser &)
FHParser & | operator= (const FHParser &)
void | parseDictionary (librevenge::RVNGInputStream *input)
void | parseRecordList (librevenge::RVNGInputStream *input)
void | parseRecord (librevenge::RVNGInputStream *input, FHCollector *collector, int recordId)
void | parseRecords (librevenge::RVNGInputStream *input, FHCollector *collector)
void | parseDocument (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readAGDFont (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readAGDSelection (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readArrowPath (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readAttributeHolder (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBasicFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBasicLine (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBendFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBlock (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBrush (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBrushStroke (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readBrushTip (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readCalligraphicStroke (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readCharacterFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readClipGroup (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readCollector (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readColor6 (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readCompositePath (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readConeFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readConnectorLine (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readContentFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readContourFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readCustomProc (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readDataList (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readData (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readDateTime (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readDisplayText (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readDuetFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readElement (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readElemList (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readElemPropLst (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readEnvelope (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readExpandFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readExtrusion (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFHDocHeader (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFHTail (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFigure (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFileDescriptor (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFilterAttributeHolder (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWBevelFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWBlurFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWFeatherFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWGlowFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWShadowFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readFWSharpenFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readGradientMaskFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readGraphicStyle (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readGroup (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readGuides (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readHalftone (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readImageFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readImageImport (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readImport (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readLayer (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readLensFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readLinearFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readLinePat (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readLineTable (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readList (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageDocMan (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageElement (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageLayerElement (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageLayerInstance (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageSymbolClass (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMasterPageSymbolInstance (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMDict (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMName (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMpObject (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMQuickDict (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMString (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMultiBlend (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readMultiColorList (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readNewBlend (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readNewContourFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readNewRadialFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readOpacityFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readOval (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPantoneColor (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readParagraph (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPath (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPathTextLineInfo (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPatternFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPatternLine (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPerspectiveEnvelope (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPerspectiveGrid (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPolygonFigure (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readProcedure (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readProcessColor (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPropLst (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readPSLine (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readRadialFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readRadialFillX (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readRaggedFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readRectangle (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSketchFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSpotColor (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSpotColor6 (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readStylePropLst (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSwfImport (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSymbolClass (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSymbolInstance (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readSymbolLibrary (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTabTable (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTaperedFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTaperedFillX (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTEffect (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTextBlok (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTextEffs (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTextObject (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTileFill (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTintColor (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTintColor6 (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTransformFilter (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readTString (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readUString (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readVDict (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readVMpObj (librevenge::RVNGInputStream *input, FHCollector *collector)
void | readXform (librevenge::RVNGInputStream *input, FHCollector *collector)
unsigned | _readRecordId (librevenge::RVNGInputStream *input)
unsigned | _xformCalc (unsigned char var1, unsigned char var2)
double | _readCoordinate (librevenge::RVNGInputStream *input)
FHRGBColor | _readRGBColor (librevenge::RVNGInputStream *input)
FHRGBColor | _readCMYKColor (librevenge::RVNGInputStream *input)
void | _readPropLstElements (librevenge::RVNGInputStream *input, std::map< unsigned, unsigned > &properties, unsigned size)
void | _readBlockInformation (librevenge::RVNGInputStream *input, unsigned i, unsigned &layerListId)
void | _readFH3CharProperties (librevenge::RVNGInputStream *input, FH3CharProperties &charProps)
void | _readFH3ParaProperties (librevenge::RVNGInputStream *input, FH3ParaProperties &paraProps)

## Private Attributes
librevenge::RVNGInputStream * | m_input
FHCollector * | m_collector
int | m_version
std::map< unsigned short, int > | m_dictionary
std::vector< unsigned short > | m_records
std::vector< unsigned short >::size_type | m_currentRecord
FHPageInfo | m_pageInfo
cmsHTRANSFORM | m_colorTransform

## Constructor & Destructor Documentation

libfreehand::FHParser::FHParser | ( |  | ) |
| explicit

libfreehand::FHParser::~FHParser | ( |  | ) |
| virtual

libfreehand::FHParser::FHParser | ( | const FHParser & |  | ) |
| private

## Member Function Documentation

void libfreehand::FHParser::_readBlockInformation | ( | librevenge::RVNGInputStream * | input,
|  | unsigned | i,
|  | unsigned & | layerListId
| ) |  |
| private

Referenced by readBlock().

libfreehand::FHRGBColor libfreehand::FHParser::_readCMYKColor | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by readProcessColor().

double libfreehand::FHParser::_readCoordinate | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by _readFH3CharProperties(), readAGDFont(), readBasicLine(), readConeFill(), readContourFill(), readDisplayText(), readFHTail(), readFWGlowFilter(), readFWShadowFilter(), readImageImport(), readLensFill(), readLinearFill(), readMultiColorList(), readNewContourFill(), readNewRadialFill(), readOval(), readPath(), readPatternLine(), readPolygonFigure(), readRadialFill(), readRadialFillX(), readRectangle(), readSwfImport(), readSymbolInstance(), readTaperedFill(), readTaperedFillX(), readTextObject(), readTileFill(), readVMpObj(), and readXform().

void libfreehand::FHParser::_readFH3CharProperties | ( | librevenge::RVNGInputStream * | input,
|  | FH3CharProperties & | charProps
| ) |  |
| private

Referenced by readDisplayText().

void libfreehand::FHParser::_readFH3ParaProperties | ( | librevenge::RVNGInputStream * | input,
|  | FH3ParaProperties & | paraProps
| ) |  |
| private

Referenced by readDisplayText().

void libfreehand::FHParser::_readPropLstElements | ( | librevenge::RVNGInputStream * | input,
|  | std::map< unsigned, unsigned > & | properties,
|  | unsigned | size
| ) |  |
| private

Referenced by readElemPropLst(), readGraphicStyle(), readPropLst(), and readStylePropLst().

unsigned libfreehand::FHParser::_readRecordId | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by _readBlockInformation(), _readFH3CharProperties(), _readPropLstElements(), readAGDFont(), readAttributeHolder(), readBasicFill(), readBasicLine(), readBlock(), readBrush(), readBrushStroke(), readBrushTip(), readCalligraphicStroke(), readClipGroup(), readColor6(), readCompositePath(), readConeFill(), readContourFill(), readCustomProc(), readDataList(), readDisplayText(), readElemPropLst(), readEnvelope(), readExtrusion(), readFHTail(), readFileDescriptor(), readFilterAttributeHolder(), readFWBevelFilter(), readFWGlowFilter(), readFWShadowFilter(), readGradientMaskFilter(), readGraphicStyle(), readGroup(), readGuides(), readHalftone(), readImageImport(), readLayer(), readLensFill(), readLinearFill(), readLineTable(), readList(), readMDict(), readMultiBlend(), readMultiColorList(), readNewBlend(), readNewContourFill(), readNewRadialFill(), readOpacityFilter(), readOval(), readPantoneColor(), readParagraph(), readPath(), readPatternFill(), readPatternLine(), readPolygonFigure(), readProcessColor(), readRadialFill(), readRadialFillX(), readRectangle(), readSpotColor(), readSpotColor6(), readStylePropLst(), readSwfImport(), readSymbolClass(), readSymbolInstance(), readSymbolLibrary(), readTaperedFill(), readTaperedFillX(), readTEffect(), readTextObject(), readTileFill(), readTintColor(), readTintColor6(), readTString(), readVDict(), and readVMpObj().

libfreehand::FHRGBColor libfreehand::FHParser::_readRGBColor | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by readColor6(), readPantoneColor(), readProcessColor(), readSpotColor(), readSpotColor6(), readTintColor(), and readTintColor6().

unsigned libfreehand::FHParser::_xformCalc | ( | unsigned char | var1,
|  | unsigned char | var2
| ) |  |
| private

Referenced by readExtrusion(), readMasterPageLayerInstance(), readMasterPageSymbolInstance(), and readXform().

FHParser& libfreehand::FHParser::operator= | ( | const FHParser & |  | ) |
| private

bool libfreehand::FHParser::parse | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |

void libfreehand::FHParser::parseDictionary | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by parse().

void libfreehand::FHParser::parseDocument | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parse().

void libfreehand::FHParser::parseRecord | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector,
|  | int | recordId
| ) |  |
| private

Referenced by parseRecords().

void libfreehand::FHParser::parseRecordList | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by parse().

void libfreehand::FHParser::parseRecords | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseDocument().

void libfreehand::FHParser::readAGDFont | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readAGDSelection | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readArrowPath | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readAttributeHolder | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readBasicFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readBasicLine | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readBendFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readBlock | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readBrush | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readBrushStroke | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readBrushTip | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readCalligraphicStroke | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readCharacterFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readClipGroup | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readCollector | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readColor6 | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readCompositePath | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readConeFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readConnectorLine | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readContentFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readContourFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readCustomProc | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readData | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readDataList | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readDateTime | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readDisplayText | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readDuetFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readElement | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readElemList | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readElemPropLst | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readEnvelope | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readExpandFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readExtrusion | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readFHDocHeader | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readFHTail | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecords().

void libfreehand::FHParser::readFigure | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readFileDescriptor | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readFilterAttributeHolder | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readFWBevelFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readFWBlurFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readFWFeatherFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readFWGlowFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readFWShadowFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readFWSharpenFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readGradientMaskFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readGraphicStyle | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readGroup | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readGuides | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readHalftone | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readImageFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readImageImport | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readImport | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readLayer | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readLensFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readLinearFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readLinePat | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readLineTable | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readList | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMasterPageDocMan | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMasterPageElement | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMasterPageLayerElement | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMasterPageLayerInstance | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMasterPageSymbolClass | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMasterPageSymbolInstance | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMDict | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMName | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMpObject | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMQuickDict | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMString | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMultiBlend | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readMultiColorList | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readNewBlend | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readNewContourFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readNewRadialFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readOpacityFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readOval | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readPantoneColor | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readParagraph | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readPath | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readPathTextLineInfo | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readPatternFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readPatternLine | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readPerspectiveEnvelope | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readPerspectiveGrid | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readPolygonFigure | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readProcedure | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readProcessColor | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readPropLst | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readPSLine | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readRadialFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readRadialFillX | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readRaggedFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readRectangle | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readSketchFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readSpotColor | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readSpotColor6 | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readStylePropLst | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readSwfImport | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readSymbolClass | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readSymbolInstance | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readSymbolLibrary | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTabTable | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTaperedFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTaperedFillX | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTEffect | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTextBlok | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTextEffs | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTextObject | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTileFill | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTintColor | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTintColor6 | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTransformFilter | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readTString | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readUString | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readVDict | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readVMpObj | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

void libfreehand::FHParser::readXform | ( | librevenge::RVNGInputStream * | input,
|  | libfreehand::FHCollector * | collector
| ) |  |
| private

Referenced by parseRecord().

## Member Data Documentation

FHCollector* libfreehand::FHParser::m_collector
| private

cmsHTRANSFORM libfreehand::FHParser::m_colorTransform
| private

Referenced by _readCMYKColor(), FHParser(), and ~FHParser().

std::vector<unsigned short>::size_type libfreehand::FHParser::m_currentRecord
| private

Referenced by parseRecord(), parseRecords(), readAGDFont(), readAttributeHolder(), readBasicFill(), readBasicLine(), readBlock(), readClipGroup(), readColor6(), readCompositePath(), readConeFill(), readContourFill(), readData(), readDataList(), readDisplayText(), readElemPropLst(), readFHTail(), readFilterAttributeHolder(), readFWGlowFilter(), readFWShadowFilter(), readGraphicStyle(), readGroup(), readImageImport(), readLayer(), readLensFill(), readLinearFill(), readList(), readMName(), readMString(), readMultiColorList(), readNewBlend(), readNewContourFill(), readNewRadialFill(), readOpacityFilter(), readOval(), readPantoneColor(), readParagraph(), readPath(), readPatternFill(), readPatternLine(), readPolygonFigure(), readProcessColor(), readPropLst(), readRadialFill(), readRadialFillX(), readRectangle(), readSpotColor(), readSpotColor6(), readStylePropLst(), readSwfImport(), readSymbolClass(), readSymbolInstance(), readTaperedFill(), readTaperedFillX(), readTextBlok(), readTextObject(), readTileFill(), readTintColor(), readTintColor6(), readTString(), readUString(), readVMpObj(), and readXform().

std::map<unsigned short, int> libfreehand::FHParser::m_dictionary
| private

Referenced by parseDictionary(), and parseRecords().

librevenge::RVNGInputStream* libfreehand::FHParser::m_input
| private

FHPageInfo libfreehand::FHParser::m_pageInfo
| private

Referenced by parseDocument(), and readVMpObj().

std::vector<unsigned short> libfreehand::FHParser::m_records
| private

Referenced by parseRecordList(), and parseRecords().

int libfreehand::FHParser::m_version
| private

Referenced by parse(), parseDictionary(), readArrowPath(), readBlock(), readBrushTip(), readClipGroup(), readColor6(), readCompositePath(), readContourFill(), readElemPropLst(), readGroup(), readGuides(), readImageImport(), readLayer(), readLinePat(), readLineTable(), readList(), readOval(), readPath(), readPropLst(), readRectangle(), readSpotColor6(), readStylePropLst(), readTabTable(), readTintColor6(), readTString(), and readXform().

The documentation for this class was generated from the following files:

- FHParser.h
- FHParser.cpp